Subject: Re: Scaling hierarchical LDP/PW stitching

From: Mustapha Aissaoui <[email-masked]>
Date: Wed, 04 Aug 2004 21:41:29 -0400

Richard,
see below.

Regards,
Mustapha.
-----------
[email-masked] wrote:
> 
> Mustapha,
> 
> > Richard and Dimitri,
> > this issue is in my view one of the critical issues. I believe a
> > workable solution should have the following characteristics:
> >
> > 1. State how stitching nodes are discovered. I do not agree with
> > Peter that a stiching node is just another LSP switching node. There
> > are PW specific operations to be performed in the data, control, and
> > management (OAM) planes on a PW segment.
> 
> I agree that a PW stitching node is not just another (tunnel) LSP
> switching node. The data plane behaviour (i.e. MPLS label switching) may
> be the same but the tunnel LSP control protocols needs to be modified
> (or separate control protocols/instances used) in order to support
> single sided provisioning of switched PWs. 

MA> Add to that OAM on the PW segment.

> I think discovery can be
> split up into two aspects, i) discovery of ingress/egress PEs, and ii)
> discovery of PW switching nodes.
> Regarding i) this is required to support single sided provisioning.

MA> I think single sided signaling is a separate issue. You can
still configure the AC and PW information at both PEs but have one
side trigger the PW setup (master PE) and the other reply only when
it receives it (slave PW). This is the dominant mode of operation of
SPVCs in ATM networks today.

> Regarding ii), this is only required if routers use the same address
> space (i.e. same loopback addresses) at the PW layer that they use at
> the MPLS tunnel layer. If a different address space was used then
> support for PW switching would be explicit. The consequence of using the
> same addresses is that PW switching capable nodes must be distinguish
> from non PW switching capable nodes explicitly using a discovery
> mechanism or implicitly, e.g. using routing metrics as is the case with
> the FA-LSP solution.

MA> You are right. However, the reason for using the same address
space is a direct consequence of the fact that PWs can only ride
inside a tunnel of some sort. 
 
> > 2. State how routing of PW control messages are performed once the
> > stitching nodes have been discovered. It seems to me that a solution
> > that mandates the use of FA-LSPs is too restrictive.
> 
> I agree that mandating FA-LSPs is too restrictive and that a common PW
> routing solution should be specified.
> 
> > 3. Avoid if possible making the PW label routable. Not that I have
> > anything against that but if a solution turns PWs into routable
> > entities on their own, then we should discuss it in that wider
> > context. In that case, the use of tunnel LSPs becomes a convenience
> > as opposed to a requirement of the architecture.
> 
> I'm not sure I understand your last point; it appears to me to be a
> contradiction. In 2 you state that routing of PW control messages must
> be addressed but then in 3 state that making PWs routable should be
> avoided. I think there are two issues here, a) routing at the PW layer
> where LSPs tunnels are used (resulting in a two layer LSP hierarchy), b)
> routing where tunnel LSPs are not used (resulting in a single LSP
> layer).

MA> I mean that we do not want to have a separate addressing and
routing for PWs in the current PWE3 architecture.  
I make the following argument: as long as PWs are confined inside
tunnels, it does not make sense to make them routable (network wide)
and have their own address  space.

> Regarding a), in the control plane, routing is required at the PW layer
> to calculate/select the PW path from ingress PE to egress PE across
> intermediate PW switching points and therefore the PE IP addresses must
> be routable. In the (PW) data plane the PW label needs to be used at
> each hop to make a forwarding decision. However, even though PWs need to
> be routable at the PW level, they are not routable at the tunnel LSP
> level, i.e. forwarding at the LSP tunnel level is based on tunnel LSP
> labels not PW labels, just like VP switching in ATM is based on VPIs not
> VCIs.

MA> You describe it very well. My point is that the PW dataplane
forwarding decision should be local to a stitching node and not
network wide. In other words, we do not want to advertize PW
reachability.
 
> Regarding b), if tunnel LSPs are not used then PWs must still be
> routable at the PW layer, but as this is the only layer each hop must
> belong to the PW layer, i.e. each hop must support PW switching. For
> scaling reasons its highly unlikely that a single LSP layer would be
> used in the core, but I think using a single LSP layer would make sense
> for spoke connections in the hierarchical LDP model.

MA> Correct. And this is where I think Peter and I disagree. I do
not belive that we want to solve the general problem where any node
can be used as a stitching node because this degenerates into the
case where you will be forced to have a separate routing and
addressing for the PWs. The case of the spoke connections is
different. I assume that a static PW may be just fine if the access
network is simple. In complex access and aggregation networks, one
can have build a separate PSN for this network and perform switching
at some well idnetified edge nodes.
 
> Regards,
> Richard

---

From: Cheng-Yin Lee <[email-masked]>
Date: Thu, 05 Aug 2004 11:58:04 -0400

Mustapha, Richard,

> > routing solution should be specified.

Agree that mandating FA-LSPs is too restrictive, unless some of these types
of  "TE"  are  acceptable:
- only "shortest paths" are used for all services or
- a separate network is used for PW services or
- others?

> and have their own address  space.

I believe PWs could be routable but not have their own address space.

> network wide. In other words, we do not want to advertize PW

In (a) when PWs are not tunneled , I believe there is more provisioning work
required if PW stitching nodes are not advertised.
This may be acceptable or not acceptable to some operators?

> at some well idnetified edge nodes.

In the last sentence, are you still referring to (b) when PWs are tunneled?
Are there congruent nodes in the separate PSN and the other PSN?

Thanks
Cheng-Yin

>
>
> > Regards,
> > Richard
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3